﻿@page "/Register"
@inherits WanderingRetinue.Client.Shared.Components.RegisterBase

<div class="container col-6">
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">Login</h5>
            <EditForm @ref="RegisterForm" Model="UserRegister" OnValidSubmit="SubmitRegister">
                <DataAnnotationsValidator />
                <div class="form-group">
                    <label>User Name</label>
                    <InputText class="form-control" @bind-Value="UserRegister.UserName" />
                    <ValidationMessage For="@(()=> UserRegister.UserName)" />
                </div>
                <div class="form-group">
                    <label>Password</label>
                    <InputText type="password" class="form-control" @bind-Value="UserRegister.Password" />
                    <ValidationMessage For="@(()=> UserRegister.Password)" />
                    <div />
                    <button type="submit" class="btn btn-outline-primary btn-sm">Register</button>
                </div>
            </EditForm>
        </div>
    </div>
</div>